Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Update appc cli info

...

Appcelerator Studio is a Java application, which requires Oracle's Java Runtime Environment (JRE) installed.  As JRE is a component of Oracle's Java Development Kit (JDK) and JDK is a prerequisite for development with other SDKs, JDK needs to be installed on all systems working with Titanium.  Refer to the Java Development Kit section of this document.

...

Unified CLI

Alloy

API Builder

Cloud CLI

Titanium CLI

Appc Daemon
8.1.11.15.2N/A2.1.85.2.43.2.0
Unsupported versions of CLI includes

Unified CLI

Alloy

API Builder

Cloud CLI

Titanium CLI

Appc Daemon
8.1.01.15.1N/A2.1.85.2.23.2.0
8.0.01.14.5N/A2.1.35.2.23.1.0
7.1.11.14.13.2.132.1.25.2.11.1.3
7.1.01.14.03.2.132.1.05.2.11.1.3
7.0.121.13.103.2.132.1.05.1.11.1.3
7.0.111.13.9 3.2.122.1.05.1.11.1.3
7.0.101.13.83.2.112.0.125.1.11.1.3
7.0.91.13.43.2.72.0.125.1.11.1.3
7.0.81.13.43.2.72.0.115.1.11.1.3
7.0.71.13.23.2.52.0.105.1.11.1.3
7.0.61.13.23.0.02.0.105.1.11.1.3
7.0.51.12.03.0.02.0.105.1.11.1.3
7.0.41.12.03.0.02.0.85.1.11.1.3
7.0.31.12.03.0.02.0.85.1.0N/A
7.0.21.10.123.0.02.0.85.0.14N/A
7.0.11.10.103.0.02.0.85.0.14N/A
7.0.01.10.93.0.0-192.0.85.0.14N/A
Unsupported versions of CLI includes

Unified CLI

Alloy

API Builder

Cloud CLI

Titanium CLI

6.3.01.10.52.0.22.0.75.0.14N/A
6.2.41.9.142.0.22.0.55.0.14N/A
6.2.31.9.132.0.22.0.55.0.14N/A
6.2.21.9.112.0.22.0.55.0.14N/A
6.2.11.9.112.0.02.0.45.0.13N/A
6.2.01.9.112.0.32.0.45.0.12N/A
6.1.01.9.51.10.11.2.25.0.11N/A
6.0.01.9.41.8.121.2.25.0.11N/A
5.5.11.9.21.8.61.2.15.0.9N/A
5.5.01.9.21.8.61.2.15.0.9N/A

5.4.0

1.9.11.8.2 1.2.15.0.9 N/A
5.3.11.8.7 1.8.21.2.0 5.0.8N/A
5.3.01.8.7 1.7.311.2.0 5.0.8N/A

5.2.2

1.8.31.7.291.2.0
5.0.6N/A
5.2.11.8.21.7.291.2.05.0.6N/A

5.2.0

1.7.331.7.271.1.05.0.6N/A

5.1.0

1.7.321.3.22  1.0.32  5.0.6N/A

Appc NPM

Supported version of Appc NPM

Unified CLI Version

Min Appc NPM Version

89.0.0 - latest6.0.0
8.0.0 - 8.1.15.0.0
Unsupported version of Appc NPM

Unified CLI Version

Min Appc NPM Version

7.1.0 - 7.1.24.2.14
7.0.3 - 7.0.124.2.13
7.0.04.2.10
Unsupported version of Appc NPM

Unified CLI Version

Min Appc NPM Version

6.3.04.2.10
6.2.44.2.9

5.4.0

4.2.4-1
5.3.14.2.4-1 
5.3.04.2.4-1 

5.2.2

4.2.4-1
5.2.14.0.0

5.2.0

4.0.0

5.1.0

4.0.0

...

Android emulator

Refer to the Android requirements and instructions below for installing the Android SDK, which contains the Android emulator.

...